Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83913 - Potential duplicate files
Summary: Potential duplicate files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-02-09 21:16 UTC by Peter Bowen
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-30 23:06:02 UTC


Attachments (Terms of Use)

Description Peter Bowen 2003-02-09 21:16:21 UTC
Both the truetype and syriac fonts subpackages provide the following files.  I'm
not sure if it is a bug, but I figured I'd report it.

/usr/X11R6/lib/X11/fonts/TTF/encodings.dir
/usr/X11R6/lib/X11/fonts/TTF/fonts.alias
/usr/X11R6/lib/X11/fonts/TTF/fonts.cache-1
/usr/X11R6/lib/X11/fonts/TTF/fonts.dir
/usr/X11R6/lib/X11/fonts/TTF/fonts.scale

Comment 1 Kjartan Maraas 2003-02-10 14:36:11 UTC
[kmaraas@localhost kmaraas]$ rpm -ql XFree86-syriac-fonts
/usr/X11R6/lib/X11/fonts/OTF
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMAdiabene.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMAntioch.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMBatnan.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMBatnanBold.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMCtesiphon.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMEdessa.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMJerusalem.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMJerusalemBold.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMJerusalemItalic.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMJerusalemOutline.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMKharput.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMMalankara.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMMardin.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMMardinBold.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMMidyat.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMNisibin.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMNisibinOutline.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMQenNeshrin.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMTalada.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMTurAbdin.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMUrhoy.otf
/usr/X11R6/lib/X11/fonts/OTF/SyrCOMUrhoyBold.otf
[kmaraas@localhost kmaraas]$ rpm -ql XFree86-truetype-fonts
/usr/X11R6/lib/X11/fonts/TTF
/usr/X11R6/lib/X11/fonts/TTF/luximb.ttf
/usr/X11R6/lib/X11/fonts/TTF/luximbi.ttf
/usr/X11R6/lib/X11/fonts/TTF/luximr.ttf
/usr/X11R6/lib/X11/fonts/TTF/luximri.ttf
/usr/X11R6/lib/X11/fonts/TTF/luxirb.ttf
/usr/X11R6/lib/X11/fonts/TTF/luxirbi.ttf
/usr/X11R6/lib/X11/fonts/TTF/luxirr.ttf
/usr/X11R6/lib/X11/fonts/TTF/luxirri.ttf
/usr/X11R6/lib/X11/fonts/TTF/luxisb.ttf
/usr/X11R6/lib/X11/fonts/TTF/luxisbi.ttf
/usr/X11R6/lib/X11/fonts/TTF/luxisr.ttf
/usr/X11R6/lib/X11/fonts/TTF/luxisri.ttf
[kmaraas@localhost kmaraas]$

Seems to have been fixed in a later release. I'm running rawhide now. Closable?

Comment 2 Mike A. Harris 2003-02-10 14:41:13 UTC
### XFree86-truetype-fonts ###########################################
%files truetype-fonts
%defattr(-,root,root)
%dir %{_x11fontdir}/TTF
%{_x11fontdir}/TTF/*.ttf
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/encodings.dir
%ghost %verify(not md5 size mtime) %config(noreplace) %{_x11fontdir}/TTF/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.cache*
 
### XFree86-syriac-fonts ###########################################
%files syriac-fonts
%defattr(-,root,root)
# jbj && notting say having this dir owned by 2 subpackages is ok.  We'll see...
%dir %{_x11fontdir}/OTF
%{_x11fontdir}/OTF/Syr*.otf
# Not sure about these files being owned by more than one subpackage tho
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/encodings.dir
%ghost %verify(not md5 size mtime) %config(noreplace) %{_x11fontdir}/TTF/fonts.alias
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.dir
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.scale
%ghost %verify(not md5 size mtime) %{_x11fontdir}/TTF/fonts.cache*

Comment 3 Mike A. Harris 2003-02-10 14:42:02 UTC
Looks broken to me....   fixing.

Comment 4 Mike A. Harris 2003-02-10 14:45:05 UTC
Ah.  The OTF fonts _used_ to be installed into the TTF directory, until
XFree86.org moved them to OTF because xtt pukes on OTF fonts for some
reason.  When the files moved, I didn't notice to change the dirs from
TTF to OTF in the fonts.* files et al.

Fixed internally now..  will wait for testing..

Comment 5 Mike A. Harris 2003-02-10 14:54:26 UTC
Fixed in 4.2.99.901-20030209.2 I believe by moving the auxilliary files
into the base-fonts package and adding Conflicts lines as appropriate.

Please test.  Setting to MODIFIED


Comment 6 Bill Nottingham 2003-07-30 23:08:03 UTC
Closing out some bugs that have been in MODIFIED state. Please reopen if they
persist.


Note You need to log in before you can comment on or make changes to this bug.